Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.triggers
Class TestAutoFolderingAction

    java.lang.Object
      oracle.ifs.core.triggers.AutoFolderingActionAdapter
          oracle.ifs.core.triggers.TestAutoFolderingAction

All Implemented Interfaces:
  AutoFolderingAction

    public class TestAutoFolderingAction

extends AutoFolderingActionAdapter

Implementation of the AutoFolderingAction interface with predictive behavior for testing purposes. The leaf folder name is the first letter of the document name.

Constructor Summary
`TestAutoFolderingAction()`

Method Summary
`Folder` | `getLeafFolder(Folder rootFolder, PublicObjectDefinition def)` Returns the leaf folder where the new object should be foldered, relative to the specified root folder.

Methods inherited from class oracle.ifs.core.triggers.AutoFolderingActionAdapter
`createFolder, createFolder, getAutoFolderingActionSpecificationName, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestAutoFolderingAction

    public TestAutoFolderingAction()

Method Detail

### getLeafFolder

    public Folder getLeafFolder(Folder rootFolder,
                                PublicObjectDefinition def)
                         throws IfsException

  Description copied from class: `TestAutoFolderingAction`
  Returns the leaf folder where the new object should be foldered, relative to the specified root folder. The returned leaf folder could be a newly created folder or an existing folder, depending on the implementation.

  Specified by:
    `getLeafFolder` in interface `AutoFolderingAction`
  Overrides:
    `getLeafFolder` in class `AutoFolderingActionAdapter`
  Parameters:
    `rootFolder` - The root of the folder tree.
    `def` - The definition of the object about to be created.
  Returns:
    The leaf folder.
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD